YAFLogo

OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
24 days ago
UPGRADE to 3.16 fails after successful Install Extension

All 5 steps of the upgrade are done OK, no error in output. But when finalizing, there is this error message - see image link below. (I checked upload parameters and the filesize limit for upload is 30MB, so this is not the error cause. Also, the Windows Server Search is disabled on this machine. And WTF "please check your internet connection"?)

The DNN website with the forum remains in an unstable state, so I have to restore to an older version (backed up all the the web-site files plus the DNN database. It takes just a few minutes, so no problem). I can supply some additional error events from the database if it would help. 

 image.png You have insufficient rights to see the content.

 

Sponsor

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
23 days ago
I updated the release https://github.com/YAFNET/YAFNET-DNN/releases/tag/v3.1.6-6113 

Issue is fixed now, also a few other dnn related issues.

Quote:

And WTF "please check your internet connection"?)

This message is a standard dnn error message.
OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
22 days ago
I did this 6113 version a few times, but I cannot get it to work in a forum function. Install goes thru, and the forum software starts, but the DNN personaBar AND all static images are Error 500. So I have to do a restore SQL database + restore the file system. 

I also tried doing this with a different skin - XCILLION latest version. Same error: successful YAF Module 6113 install, but on restarting the web, the same errors were seen (No DNN PersonaBar for Host AND static images error 500, prolly JS files error also). Same symptoms as a custom skin error.

There are quite a few start-up errors, when the forum starts, in the DNN Event Log file, dealing with this: Microsoft.AspNet.Identity.Owin. But this is also in version 3.12.6105, I checked now. I have to revert back to this old version, so that the forum works. There are some forum errors, which remain and were fixed in later YAF version (ctrl-V not working in editor, blank page after adding a forum post), but everything is running, and DNN server security is working.

EXAMPLE of one of the errors of DNN portal startup:


2022-07-21 14:01:25,933 [Sandy-Bridge][Thread:14][ERROR] DotNetNuke.Web.DependencyInjectionInitialize - Unable to configure services for pdfbox-1.8.9, Version=1.8.9.0, Culture=neutral, PublicKeyToken=null, see exception for details 
- LoaderException: Could not load file or assembly 'IKVM.OpenJDK.Core, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58' or one of its dependencies. The system cannot find the file specified.
- LoaderException: Could not load file or assembly 'IKVM.OpenJDK.SwingAWT, Version=7.2.4630.5, Culture=neutral, PublicKeyToken=13235d27fcbfff58' or one of its dependencies. The system cannot find the file specified.
- LoaderException: Could not load file or assembly 'junit, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. The system cannot find the file specified.
- LoaderException: Could not load file or assembly 'fontbox-1.8.9, Version=1.8.9.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. The system cannot find the file specified.
System.Reflection.ReflectionTypeLoadException: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.
   at System.Reflection.RuntimeModule.GetTypes(RuntimeModule module)
   at System.Reflection.Assembly.GetTypes()
   at DotNetNuke.DependencyInjection.Extensions.TypeExtensions.SafeGetTypes(Assembly assembly, ILog logger)
tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
22 days ago
Can you post the errors related to the  Microsoft.AspNet.Identity.Owin dll? or better upload the entire event log text file (currentdate.log.resources) from the folder Portals\_default\Logs
OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
21 days ago
I saved a new DNN LOG, going from restarted 3.13 IIS service, doing 3.16 Extension upgrade and clicking one or two pages after the successful upgrade. There are some other errors besides Owin, and I think NOT all are YAF Module related. And they also appear in the 3.13 part of the LOG.

(EDITED)

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
21 days ago
Only the System.Web.Http.dll entry and the System.Web.Http.WebHost.dll entries are relevant. can you check the web.config if there entries for these dlls under runtime/dependentAssembly
OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
21 days ago
I checked, there are no such entries in the web.config at the root web folder of the DNN istallation, or in any subfolder, or any other folder on the machine.

(These two entries do not exist in web.config files: System.Web.Http.dll and System.Web.Http.WebHost.dll)

The files System.Web.Http.dll and System.Web.Http.WebHost.dll do exist in about 8 folders, each of the same dates and sizes everywhere.

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
21 days ago
Okay then it can't work. In all my test installations the entries exist, very odd. 

I updated the module again, now the entries are created. Also the search function is working again.

https://github.com/YAFNET/YAFNET-DNN/releases/tag/v3.1.6-6114 

OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
21 days ago
(There is an UPDATE on the bottom of this msg)

I did the upgrade, everything went OK ...But on IIS restart it is the same effects: personaBar gone, images invalid and also none of those System.Web DLL entries in web.config. If you want, I can send the DNN LOG, but it looks the same as before (with current timestamps). I see they are part of .NET 4.8... and they are on the machine in the proper folder, and also in the main dotnetnuke BIN folder.

Maybe this will interest you: i did NOT upgrade YAF from 2.1xx until 3.12 or 3.13. Maybe there is some functionality still missing?

UPDATE: I checked all DNN LOG files, the problems started on 9 march 2022 - there were no such errors before (only a few font errors, and some foolish hacking attempts). On 9 March 2022 was probably when I upgraded from 2.1xx to 3.12 ... that's when those functinality errors started showing up, and the LOG files are big with many errors, such as above. Obviously the upgrade did not succeed with everything needed. I definitely did upgrade to DNN 9.10.02 before upgrading YAF, which I upgraded some days later.

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
21 days ago
What happens when you manually add the missing entries in the web.config...


<dependentAssembly xmlns="urn:schemas-microsoft-com:asm.v1">
        <assemblyIdentity name="System.Web.Http" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.9.0" newVersion="5.2.7.0" xmlns="urn:schemas-microsoft-com:asm.v1" />
      </dependentAssembly>

and 


<dependentAssembly xmlns="urn:schemas-microsoft-com:asm.v1">
        <assemblyIdentity name="System.Web.Http.WebHost" publicKeyToken="31bf3856ad364e35" />
       <bindingRedirect oldVersion="0.0.0.0-5.2.9.0" newVersion="5.2.7.0" xmlns="urn:schemas-microsoft-com:asm.v1" />
      </dependentAssembly>

in the node /configuration/runtime/

 

OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
21 days ago
Correction, I do have this in the old version of web.config: (this was my mistake, I searched wrong, with DLL in the string System.Web.Http.DLL)

So, I have the node with 5.2.7.0: 

<bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" xmlns="urn:schemas-microsoft-com:asm.v1" />

UPDATE:

The upgrade to 3.1.6 did this, and I think this is what you wanted.

        <!--<bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" xmlns="urn:schemas-microsoft-com:asm.v1" />-->
        <bindingRedirect oldVersion="0.0.0.0-5.2.9.0" newVersion="5.2.7.0" xmlns="urn:schemas-microsoft-com:asm.v1" />

So I checked this on the upgraded to 3.16, and web.config was updated properly by the Extension framework. The functionality is not upgraded, so I have to go back to 3.13... where we have oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0". This looks OK with respect to web.config in both versions.

One more correction: my "old" version of YAF is 3.12.6105, this is for YAF Module and for YAF What's new. The new ones show as 3.16.51 and 3.15.51 respectively in Extension installer.

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
20 days ago
Okay i try a different approach by updating the dlls directly

https://github.com/YAFNET/YAFNET-DNN/releases/tag/v3.1.6-6114 

You can attach the log file as zip directly here in the editor, in case there is still an error.

OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
18 days ago
I tried 6115 now, however it FAILS when updating the Extension (red bar on top says error, like we had before with 6113).

I have the LOG file, deleted all entries before TIME 16:21, so this started the IIS, after which I did the Extension update in DNN.

Please take note it is running on 6113 until the failed extension upgrade. (The web does not start after the upgrade, so am doing RESTORE, copying all 6113 files to the web, and restoring the SQL database. Now back again on 6113)

There are some DNN DLL entries with errors in the LOG, which are unrelated to YAF. I deleted those unused DLLs from the /bin folder, but not yet from wherever they are referenced (old extensions, which were deleted from the Extensions, and still referenced by DNN for some reason).

Also, I changed the SKIN of the YAF Module to "YAF", so there should be no more skin errors due to responsive.

 2022.07.25.log.resources.zip You have insufficient rights to see the content.

OrdinaryNimda
  • OrdinaryNimda
  • 69.4% (Friendly)
  • YAF Forumling Topic Starter YAF Version: 3.12
15 days ago
There was also one YAF error in the CKEditor provider (I have two folders):

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.5.3

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.15.1

I took 2 folders from the 4.5.3 plugin folder, and copied them to the 4.15.1 plugin folder. Then, there was no more "newsarticleslinks" and "iframe" errors (in HTMLEditor on the DNN page, which uses YAF.WhatsNew).

So these two folder were copied from:

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.5.3\plugins\iframe

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.5.3\plugins\newsarticlelinks

They were copied here, and everything now works on 6113 (which I will try to upgrade with 6116 again later):

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.15.1\plugins\

I do not know if this is a misconfig error, or only YAF Module upgrade error from 2 years ago. I usually do not delete files from working installations. I hope this helps somewhat!

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
15 days ago
Originally Posted by: OrdinaryNimda 

There was also one YAF error in the CKEditor provider (I have two folders):

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.5.3

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.15.1

I took 2 folders from the 4.5.3 plugin folder, and copied them to the 4.15.1 plugin folder. Then, there was no more "newsarticleslinks" and "iframe" errors (in HTMLEditor on the DNN page, which uses YAF.WhatsNew).

So these two folder were copied from:

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.5.3\plugins\iframe

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.5.3\plugins\newsarticlelinks

They were copied here, and everything now works on 6113 (which I will try to upgrade with 6116 again later):

..\Providers\HtmlEditorProviders\DNNConnect.CKE\js\ckeditor\4.15.1\plugins\

I do not know if this is a misconfig error, or only YAF Module upgrade error from 2 years ago. I usually do not delete files from working installations. I hope this helps somewhat!

Those issues have nothing to do with YAF. This are issues of the DNNConnect CKEditor Provider. YAF dont use the editor provider